<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/list_refresh"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/list_rv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

        <include
            layout="@layout/reuse_loading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true" />

        <include layout="@layout/reuse_no_connection" />

        <include
            android:id="@+id/reuse_none_data"
            layout="@layout/reuse_none_data" />

        <include
            android:id="@+id/reuse_data_exception"
            layout="@layout/reuse_data_exception" />

    </RelativeLayout>
</LinearLayout>